flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sankar <santanu4...@gmail.com>
Subject Moonshine 1.6.0 Release
Date Wed, 11 Oct 2017 07:54:48 GMT
I am pleased to announce that Moonshine 1.6.0 has been released at
http://moonshine-ide.com/ and on the App Store.

Added


- Useful Links Panel: This panel contains links that may be useful for your
development work. More will be added as we find them.
- Options to customize the display for the AIR simulator for mobile
projects. See the Run tab in the project settings
- Window: The window size and maximized status will be preserved when
restarting Moonshine
- Panels: The panel size will be preserved when restarting Moonshine
- Auto-updater: Moonshine will automatically prompt you to update to new
versions. Disabled for the App Store version.

Changed


- Debugging: Using new engine adapted from NexGenActionscript. Improvements
to highlighting and variables. The debugger currently supports the Apache
Flex® SDK and the Feathers SDK, but not Apache FlexJS®.
- Console: Updated the source code links
- API Docs panel: merged with Useful Links
- HTML-template: Added wrapper HTML files for Web (Flash) project templates,
to let them open properly in the browser.
- New Project Dialog: Added a field to select the SDK when creating a
project.

Fixed


- ANT Build: ** Fixed issue where ANT build was failing if path to build.xml
contains spaces ** Fixed ANT script for FlexJS project template
- Project build: Fixed issue where FlexJS project build was failing if
target player version has minor number (ex.
<target-player>11.7</target-player>)
- Project build: Fixed issue where Moonshine generated blank SWFs for FlexJS
builds using the 0.7.0 SDK or lower.
- Tooltips: Fixed some cases where the tooltips didn't disappear properly.

Notable Known issues


https://github.com/prominic/Moonshine-IDE/issues/36

While testing for this release, we noticed that most browsers were blocking
the user from opening SWFs from their local filesystem. The browsers will
show a message like "To view this page ensure that Adobe Flash Player
version 16.0.0 or greater is installed." and a "Get ADOBE FLASH PLAYER"
button.

For most browsers, if you click the button, the browser will prompt you
about whether you would like to allow the SWF to run. After you allow this,
you can run the SWF normally. However, Firefox will direct you to a download
page instead, so you may want to test in other browsers for now..

Alternatively, you can bypass the above errors by deploying the generated
SWF to a local or remote server.



--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/

Mime
View raw message